Bug 1414903 - Chromium crashes when going to a Red Hat Kerberos enabled website with Fedora's Kerberos ticket
Summary: Chromium crashes when going to a Red Hat Kerberos enabled website with Fedora...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 17:12 UTC by Miro Hrončok
Modified: 2018-10-17 14:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:50:41 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1640158 0 unspecified CLOSED Chromium segfaults when attempting to handle GSSAPI requests to fedoraproject.org 2021-02-22 00:41:40 UTC

Internal Links: 1640158

Description Miro Hrončok 2017-01-19 17:12:14 UTC
Description of problem:
I use two Kerberos setups:

kinit mhroncok@REDHAT.COM # call it Red Hat
kinit churchyard@FEDORAPROJECT.ORG # call it Fedora

I have randomly seen some crashes. I think that the crashes appear when I've only done kinit for Fedora and I visit a website with Red Hat kerberos or the other way around.

Version-Release number of selected component (if applicable):
55.0.2883.87-1.fc25

How reproducible:
Often.

Steps to Reproduce:
1. kinit Fedora, make sure you haven't kinited Red Hat
2. visit https://mojo.redhat.com/docs/DOC-997854

Or:
1. kinit Red Hat, make sure you haven't kinited Fedora
2. visit Koji

Actual results:
[1:1:0100/000000:ERROR:broker_posix.cc(41)] Invalid node channel message
Segmentation fault (core dumped [...])


Expected results:
The website should ask for my credentials.

Additional info:
The crash does not happen always. But once it crashes, it crashes again and again when restoring open tabs. There might be other factors such as how old is the ticket etc. involved.

Comment 1 Tom "spot" Callaway 2017-06-14 15:33:41 UTC
I cannot reproduce this with the 59 builds. Please retest and reopen if you can.

Comment 2 Miro Hrončok 2017-06-15 11:04:39 UTC
chromium-59.0.3071.86-3.fc26.x86_64



Received signal 11 SEGV_MAPERR 000000000000
#0 0x7f2fcfb1d156 base::debug::StackTrace::StackTrace()
#1 0x7f2fcfb1d5cb base::debug::(anonymous namespace)::StackDumpSignalHandler()
#2 0x7f2fcfe812c0 <unknown>
#3 0x7f2fb94fab61 __strcasecmp_l_avx
#4 0x7f2fce686de0 EVP_get_cipherbyname
#5 0x7f2f6b214938 <unknown>
#6 0x7f2f6b217691 <unknown>
#7 0x7f2fcfe7e697 __pthread_once_slow
#8 0x7f2f6af18199 <unknown>
#9 0x7f2f6b21790b <unknown>
#10 0x7f2f6b456f37 <unknown>
#11 0x7f2fcfe7e697 __pthread_once_slow
#12 0x7f2f6b4573a0 <unknown>
#13 0x7f2facec5ce6 <unknown>
#14 0x7f2facec6081 <unknown>
#15 0x7f2facec5474 <unknown>
#16 0x7f2facec64bd <unknown>
#17 0x7f2facec6e43 krb5_sendto_kdc
#18 0x7f2face9031e krb5_tkt_creds_get
#19 0x7f2face90485 krb5_get_credentials
#20 0x7f2fad15476a <unknown>
#21 0x7f2fad155322 <unknown>
#22 0x7f2fad13ed00 gss_init_sec_context
#23 0x7f2fad1655f6 <unknown>
#24 0x7f2fad165e3f <unknown>
#25 0x7f2fad13ed00 gss_init_sec_context
#26 0x7f2fcee7912f net::HttpAuthGSSAPI::GetNextSecurityToken()
#27 0x7f2fcee79b89 net::HttpAuthGSSAPI::GenerateAuthToken()
#28 0x7f2fcee7ffab net::HttpAuthHandlerNegotiate::DoGenerateAuthToken()
#29 0x7f2fcee8051d net::HttpAuthHandlerNegotiate::DoLoop()
#30 0x7f2fcee805f9 net::HttpAuthHandlerNegotiate::OnIOComplete()
#31 0x7f2fcee60b51 net::HostResolverImpl::Job::CompleteRequests()
#32 0x7f2fcee64044 net::HostResolverImpl::Job::OnProcTaskComplete()
#33 0x7f2fcee604e8 net::HostResolverImpl::ProcTask::OnLookupComplete()
#34 0x7f2fcfb1ebb0 base::debug::TaskAnnotator::RunTask()
#35 0x7f2fcfb48920 base::MessageLoop::RunTask()
#36 0x7f2fcfb4a088 base::MessageLoop::DeferOrRunPendingTask()
#37 0x7f2fcfb4a496 base::MessageLoop::DoWork()
#38 0x7f2fcfb4bd32 base::MessagePumpLibevent::Run()
#39 0x7f2fcfb47ca8 base::MessageLoop::RunHandler()
#40 0x7f2fcfb72b0b base::RunLoop::Run()
#41 0x7f2fc9b4f338 content::BrowserThreadImpl::IOThreadRun()
#42 0x7f2fc9b4f8eb content::BrowserThreadImpl::Run()
#43 0x7f2fcfb9f908 base::Thread::ThreadMain()
#44 0x7f2fcfb9a17b base::(anonymous namespace)::ThreadFunc()
#45 0x7f2fcfe7636d start_thread
#46 0x7f2fb94b2e9f __GI___clone
  r8: 0000000000000162  r9: 0000000000000000 r10: 00007f2fb94fbb90 r11: 000008bf10ed9558
 r12: 00007f2f6b23a884 r13: 00007f2f6b23a880 r14: 0000000000000011 r15: 000008bf0c1af3c0
  di: 0000000000000000  si: 00007f2fce73a630  bp: 00007f2f6b454420  bx: 0000000000000000
  dx: 00007f2fb976e3e0  ax: 0000000000000000  cx: 0000000000000030  sp: 00007f2f944b6698
  ip: 00007f2fb94fab61 efl: 0000000000010283 cgf: 002b000000000033 erf: 0000000000000004
 trp: 000000000000000e msk: 0000000000000000 cr2: 0000000000000000
[end of stack trace]
Calling _exit(1). Core file will not be generated.

Comment 4 Tom "spot" Callaway 2017-06-15 17:51:24 UTC
I don't have Red Hat krb setup, only Fedora. When I kinit fedora, then go to the URL you've posted, I get prompted to go through the standard single-sign-on process. But I can't reproduce a crash.

Comment 5 NSLW 2017-07-13 11:59:13 UTC
KMyMoney compiled from source (https://cgit.kde.org/kmymoney.git/) started segfaulting randomly on startup. I use Fedora 26 x86_64 and it didn't happen on Fedora 25.
It segfaults randomly and randomly I get
[1:1:0100/000000.564904:ERROR:broker_posix.cc(41)] Invalid node channel message
before segfault.

Recently KMyMoney switched to WebEngine from KHtml, so I could revert that switch easily and the result is that it doesn't segfault.

As a result I narrowed it down to Qt5::WebEngineWidgets (from qt5-qtwebengine 5.9.1-1). I assume it is regression because it didn't segfault on WebEngine 5.8 from Fedora 25 last week.

Comment 6 Tom "spot" Callaway 2017-07-13 15:10:18 UTC
I don't exactly know how the qtwebengine stuff maps to Blink, but if you can identify a patch, I can apply it and see if it resolves the issue for Miro. I still cannot reproduce this locally.

Comment 7 NSLW 2017-07-13 15:17:21 UTC
(In reply to Tom "spot" Callaway from comment #6)
> I don't exactly know how the qtwebengine stuff maps to Blink, but if you can
> identify a patch, I can apply it and see if it resolves the issue for Miro.
> I still cannot reproduce this locally.

Maybe it doesn't map to Blink but I get the same output before segfault and component set here is chromium, which is WebEngine based, so I thought bug might be in WebEngine.
Ignore if irrelevant.

Comment 8 Fedora End Of Life 2017-11-16 18:56:51 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2017-12-12 10:50:41 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.